summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_html_pkg_sets.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-12-20 18:34:03 +0100
committerHolger Levsen <holger@layer-acht.org>2015-12-20 18:34:03 +0100
commit16b8750afdb9275f645e361fea85a5405568fdb2 (patch)
tree57ca46ac111f37961071b9b20dbffa10269e49f7 /bin/reproducible_html_pkg_sets.sh
parent10b1243b04e8bfb043640746497e732e4eff1239 (diff)
downloadjenkins.debian.net-16b8750afdb9275f645e361fea85a5405568fdb2.tar.xz
reproducible armhf: enable package sets
Diffstat (limited to 'bin/reproducible_html_pkg_sets.sh')
-rwxr-xr-xbin/reproducible_html_pkg_sets.sh17
1 files changed, 9 insertions, 8 deletions
diff --git a/bin/reproducible_html_pkg_sets.sh b/bin/reproducible_html_pkg_sets.sh
index f861808f..dc7d294c 100755
--- a/bin/reproducible_html_pkg_sets.sh
+++ b/bin/reproducible_html_pkg_sets.sh
@@ -14,7 +14,6 @@ common_init "$@"
#
# init some variables
#
-ARCH="amd64" # we only care about amd64 status here (for now)
# we only do stats up until yesterday... we also could do today too but not update the db yet...
DATE=$(date -d "1 day ago" '+%Y-%m-%d')
FORCE_DATE=$(date -d "3 days ago" '+%Y-%m-%d')
@@ -184,12 +183,14 @@ create_pkg_sets_pages() {
#
# main
#
-for SUITE in $SUITES ; do
- if [ "$SUITE" = "experimental" ] ; then
- # no pkg sets in experimental
- continue
- fi
- update_meta_pkg_stats
- create_pkg_sets_pages
+for ARCH in $ARCHS ; do
+ for SUITE in $SUITES ; do
+ if [ "$SUITE" = "experimental" ] || ( [ "$SUITE" = "testing" ] && [ "$ARCH" = "armhf" ] ) ; then
+ # no pkg sets in experimental and not yet for testing on armhf
+ continue
+ fi
+ update_meta_pkg_stats
+ create_pkg_sets_pages
+ done
done